View Issue Details

IDProjectCategoryView StatusLast Update
0000108Bacula-Webbug-mysqlpublic2014-05-16 16:52
ReporterklacusAssigned Todavide 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformUbuntu 12.04OS64 bit LTS 3OS Version64 bit
Product Version5.2.13-1 
Target Version6.0.1Fixed in Version6.0.1 
Summary0000108: Error with catalog size with MySQL 5.5.32 (Ubuntu0.12.04.1)
DescriptionI download the latest version of the Bacula-Web but the sql exception is raising.
 
SQLSTATE[22003]: Numeric value out of range: 1690 BIGINT UNSIGNED value is out of range in '((`information_schema`.`TABLES`.`DATA_LENGTH` + `information_schema`.`TABLES`.`INDEX_LENGTH`) - `information_schema`.`TABLES`.`DATA_FREE`)'
Steps To ReproduceMysql:
Server version: 5.5.32-0ubuntu0.12.04.1 (Ubuntu)
Os.:
Linux ubuntu-szerver 3.8.0-32-generic 0000047~precise1-Ubuntu SMP Wed Oct 2 16:19:35 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

err. message:
File /var/www/bacula-web/core/db/cdbutils.class.php
Line 79
Exception code 22003
Exception message SQLSTATE[22003]: Numeric value out of range: 1690 BIGINT UNSIGNED value is out of range in '((`information_schema`.`TABLES`.`DATA_LENGTH` + `information_schema`.`TABLES`.`INDEX_LENGTH`) - `information_schema`.`TABLES`.`DATA_FREE`)'
Additional InformationFile: /var/www/bacula-web/core/db/cdbutils.class.php on line 79 in function PDOStatement->execute
File: /var/www/bacula-web/application/models/database.model.php on line 50 in function CDBUtils::runQuery
File: /var/www/bacula-web/index.php on line 42 in function Database_Model::get_Size
TagsNo tags attached.

Activities

davide

2013-10-23 17:30

manager   ~0000280

Let me do some test on my side with the current version and I'll get back to you.

Regards

davide

2014-05-16 16:52

manager   ~0000392

Bug fix will be available in next version.

Get back to me if you wanna try before next release

Regards

Issue History

Date Modified Username Field Change
2013-10-22 19:12 klacus New Issue
2013-10-23 17:28 davide Product Version => 5.2.13-1
2013-10-23 17:30 davide Note Added: 0000280
2013-10-23 17:30 davide Assigned To => davide
2013-10-23 17:30 davide Status new => acknowledged
2013-11-10 15:28 davide Target Version => 6.0.1
2013-11-11 11:17 davide Category bug => bug-mysql
2013-11-11 11:19 davide Summary version 5.2.13 bug remaining => Error with catalog size with MySQL 5.5.32 (Ubuntu0.12.04.1)
2013-11-11 11:19 davide Status acknowledged => assigned
2014-05-16 16:52 davide Note Added: 0000392
2014-05-16 16:52 davide Status assigned => resolved
2014-05-16 16:52 davide Fixed in Version => 6.0.1
2014-05-16 16:52 davide Resolution open => fixed